PGPOOL RESET(1)

NAME
PGPOOL_RESET - restore the value of a configuration parameter to the default value

SYNOPSIS

   PGPOOL RESET configuration_parameter
   PGPOOL RESET ALL

DESCRIPTION

PGPOOL RESET command restores the value of Pgpool-II configuration parameters to the default value. The default value is defined as the value that the parameter would have had, if no PGPOOL SET had ever been issued for it in the current session. This command is similar to the RESET[1] command in PostgreSQL with an addition of PGPOOL keyword to distinguish it from the PostgreSQL RESET command.

PARAMETERS

configuration_parameter
    Name of a settable Pgpool-II configuration parameter. Available parameters are documented in Chapter 5, Server Configuration, in the documentation.

ALL
    Resets all settable Pgpool-II configuration parameters to default values.

EXAMPLES

Reset the value of client_idle_limit parameter:

         PGPOOL RESET client_idle_limit;

Reset the value of all parameter to default:

        PGPOOL RESET ALL;

SEE ALSO
PGPOOL SET (PGPOOL_SET(1)), PGPOOL SHOW (PGPOOL_SHOW(1))

NOTES

1.
        RESET
    https://www.postgresql.org/docs/current/static/sql-reset.html